---
import "./App.sass";
import TitleOverlay from "~/components/TitleOverlay/TitleOverlay.astro";
import Projects from "~/components/Projects/Projects";
import LanguageSwitcher from "~/components/LanguageSwitcher/LanguageSwitcher.astro";
import Contact from "./components/Contact/Contact";
import { Toaster } from "react-hot-toast";
import About from "./components/About/About.astro";
import Layout2Cols from "./components/Layout2Cols/Layout2Cols.astro";
import Stack from "./components/Stack/Stack.astro";
import Blog from "./components/Blog/Blog.astro";
import ThreeHero from "./components/ThreeHero/ThreeHero";
---

<div class="container">
  <Toaster client:load />
  <LanguageSwitcher />
  <ThreeHero client:load />
  <TitleOverlay />
  <Projects client:only />
  <Layout2Cols>
    <Fragment slot="colA"> <Blog /></Fragment>
    <Fragment slot="colB"><Stack /> </Fragment>
  </Layout2Cols>
  <Layout2Cols>
    <Fragment slot="colA"> <Contact client:only /></Fragment>
    <Fragment slot="colB"><About /> </Fragment>
  </Layout2Cols>
</div>
